Skip to content

List physical exams

Request

Returns a paginated list of Physical Exams for the specified site. Supports filtering and sorting.

Security
bearer
Path
siteIdnumberrequired

Site identifier

Query
pagenumber, >= 0

Page number (0-indexed)

Default:0
pageSizenumber, [ 1 .. 100 ]

Number of items per page

Default:10
sortBystring

Field to sort by

Enum:"createdAt""updatedAt""comments""examinedAt"
sortOrderstring

Sort order

Default:"asc"
Enum:"asc""desc"
animalIdstring

Identifier of the animal that this physical exam pertains to.

Example:animalId=123e4567-e89b-12d3-a456-426614174000
commentsstring

Free-text comments or findings from the physical exam.

consultIdstring

Identifier of the consult/visit associated with this physical exam.

Example:consultId=123e4567-e89b-12d3-a456-426614174000
historicalRecordIdstring

Identifier linking this record to a historical record in the source system.

Example:historicalRecordId=123e4567-e89b-12d3-a456-426614174000
isActiveboolean

Whether this physical exam record is active.

vetIdstring

Identifier of the veterinarian who performed or recorded the exam.

Example:vetId=123e4567-e89b-12d3-a456-426614174000
curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/physical-exam?page=0&pageSize=10&sortBy=createdAt&sortOrder=asc&animalId=123e4567-e89b-12d3-a456-426614174000&comments=string&consultId=123e4567-e89b-12d3-a456-426614174000&historicalRecordId=123e4567-e89b-12d3-a456-426614174000&isActive=true&vetId=123e4567-e89b-12d3-a456-426614174000' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of Physical Exams